=== debian/changelog ===
intellij-community-idea (183.5153.4-6) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/maven.rules: update automaton group id (Closes: #1101615).
  * d/control: require libautomaton-java 1.12-4+dfsg-2.

  [ Julien Plissonneau Duquène ]
  * Add myself to uploaders.
  * Promote Standards-Version to 4.7.2 with no change.

 -- Julien Plissonneau Duquène <sre4ever@free.fr>  Wed, 30 Apr 2025 10:59:27 +0000

intellij-community-idea (183.5153.4-5) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * d/p/java21-stub-decompiler-fails-on-enums.patch: cherry-pick
    upstream patch to resolve kotlin ftbfs (See 1057513).
  * d/control: require updated libasm-java to support Java 21.

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2024 15:09:19 +0200

intellij-community-idea (183.5153.4-4) unstable; urgency=medium

  * Team upload

  [ Vladimir Petko ]
  * d/p/java21-compatibility.patch: fully quialify
    org.jetbrains.concurrency.Promise.State (Closes: #1057506).

  [ tony mancill ]
  * Update lintian-overrides
  * Freshen years in debian/copyright

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 15 Jan 2024 17:03:07 +1300

intellij-community-idea (183.5153.4-3) unstable; urgency=medium

  * Team upload.
  * Build with Java 17 (Closes: #981886)
  * Standards-Version updated to 4.6.2
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Jan 2023 16:10:00 +0100

intellij-community-idea (183.5153.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Aug 2020 16:48:53 +0200

intellij-community-idea (183.5153.4-1) unstable; urgency=medium

  * Initial release. Closes: #939721

 -- Saif Abdul Cassim <saif.15@cse.mrt.ac.lk>  Mon, 25 May 2020 14:25:59 +0200
