=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=gradle --with maven-repo-helper

override_dh_auto_build:
	ant -f ./debian/buildasm.xml
	dh_auto_build -- dist

override_dh_auto_test:

override_dh_auto_clean:
