=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, repack, compression=xz, dversionmangle=s/\+dfsg//" \
 https://github.com/JetBrains/intellij-community \
 refs/tags/idea/([\d\.]+)
